#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x92e25909, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0xadc2ba09, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x83b134db, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x783f2f09, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0xd0dd6441, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x341ef5b3, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xab93b2b6, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x8d5704eb, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x8bd723e4, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0xb0647064, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0x4fb50c1f, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x6c6c7fe7, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0x6b23edbb, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x60acd755, "_gpl");
SYMBOL_CRC(qeth_poll, 0x8e1e7d88, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x33cdd6ee, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xcd73752d, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x7bb7a08a, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0xada767e2, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x9c831c0c, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xf73c5595, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x80c82802, "_gpl");
SYMBOL_CRC(qeth_set_features, 0xedb89737, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0xe93482c8, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x8df0600c, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x814bccd8, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0xf808bea2, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x015074c3, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x81fef973, "_gpl");
SYMBOL_CRC(qeth_open, 0x6127431a, "_gpl");
SYMBOL_CRC(qeth_stop, 0x4c275968, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x699b9244, "ccw_device_get_cssid" },
	{ 0x806e7b00, "napi_alloc_skb" },
	{ 0x9a96f539, "alloc_etherdev_mqs" },
	{ 0x870f3293, "ccw_device_halt" },
	{ 0x5340785c, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x8ffcba28, "qdio_shutdown" },
	{ 0xa8788ace, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x92ebffc, "ccwgroup_set_offline" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x38df66e2, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4689ea79, "skb_copy_bits" },
	{ 0x75030826, "qdio_allocate" },
	{ 0xfde13b39, "qdio_inspect_output_queue" },
	{ 0x57e41831, "skb_put" },
	{ 0xee17c845, "skb_tstamp_tx" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5f4189d1, "netdev_update_features" },
	{ 0xcda6c38c, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x913c153d, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x447a99b8, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xee213987, "debug_set_level" },
	{ 0x3bb00606, "register_service_level" },
	{ 0x6cc00dc9, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x259d6203, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xb0ea02ee, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x62b5ecb3, "qdio_add_bufs_to_output_queue" },
	{ 0x565a0c45, "__netif_napi_del" },
	{ 0xf1ee6e82, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0xa052897a, "ether_setup" },
	{ 0x104906b, "qdio_get_ssqd_desc" },
	{ 0x128a1497, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xadebcfc7, "pskb_expand_head" },
	{ 0xc8eb51b6, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xf5694959, "dev_addr_mod" },
	{ 0x9e8ac124, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x70fde297, "napi_complete_done" },
	{ 0xeaf4bd48, "alloc_netdev_mqs" },
	{ 0xa62b1e9f, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x354cbcc7, "unregister_service_level" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x114297bb, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xed85b203, "put_device" },
	{ 0xf5681f13, "__napi_schedule" },
	{ 0x244396b2, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x92e15d50, "netif_device_detach" },
	{ 0xb3a529b2, "__free_pages" },
	{ 0x841d67a5, "_dev_info" },
	{ 0xe890bb8f, "napi_gro_receive" },
	{ 0xdfa0fc27, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x5ff21cff, "ccwgroup_probe_ccwdev" },
	{ 0xd0f9bfd0, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf5e37523, "_dev_err" },
	{ 0xb076cb19, "softnet_data" },
	{ 0xee5f9b8d, "ccw_device_get_id" },
	{ 0x4a5ff860, "__root_device_register" },
	{ 0x561345df, "ccw_device_get_ciw" },
	{ 0xaffa5259, "netif_set_real_num_tx_queues" },
	{ 0x9261f28a, "sk_skb_reason_drop" },
	{ 0x65ca4c09, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x3e7ec19, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf7067f4c, "skb_push" },
	{ 0xe55a31d5, "kmem_cache_free" },
	{ 0x93f5df0b, "ccwgroup_driver_register" },
	{ 0x6561668e, "debugfs_remove" },
	{ 0x8d6c973, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x57930dfb, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5c0d32b5, "__debug_sprintf_event" },
	{ 0xfd900304, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6bb3441, "netif_tx_stop_all_queues" },
	{ 0x9a125f9, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xe25f30b, "ccw_device_set_offline" },
	{ 0xa1a0cfbc, "_dev_warn" },
	{ 0x3b068aec, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe0f929ad, "netif_schedule_queue" },
	{ 0x6347c754, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0x585b2535, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x22c5d76a, "netdev_set_tc_queue" },
	{ 0xbc689414, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xddd55a20, "__pskb_pull_tail" },
	{ 0xc0516ba3, "__netdev_alloc_skb" },
	{ 0x7ea81383, "__kmem_cache_create_args" },
	{ 0xe798236d, "jiffies" },
	{ 0x6b0c45e, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x56dee9a3, "debug_hex_ascii_view" },
	{ 0xff7894b1, "debug_unregister" },
	{ 0x31eece4d, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x196dafdf, "ccwgroup_driver_unregister" },
	{ 0x7b57d877, "ccwgroup_remove_ccwdev" },
	{ 0x2e934d47, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51c49940, "ccw_device_get_iid" },
	{ 0x3c96491d, "debug_event_common" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9555ad2, "netif_carrier_off" },
	{ 0xd1550e21, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaf3f9c5, "ccw_device_set_online" },
	{ 0xb0e2c3e1, "netdev_set_num_tc" },
	{ 0x4c46811b, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7d602a8d, "single_release" },
	{ 0xbb5f382f, "qdio_add_bufs_to_input_queue" },
	{ 0xcfeabaa9, "skb_add_rx_frag_netmem" },
	{ 0x4be6c025, "__napi_schedule_irqoff" },
	{ 0xa747e46f, "napi_schedule_prep" },
	{ 0xc7356e2c, "napi_consume_skb" },
	{ 0x7bb0887b, "debug_sprintf_view" },
	{ 0x153df26f, "qdio_stop_irq" },
	{ 0x9d3ed50a, "napi_disable" },
	{ 0xc138ce4a, "qdio_free" },
	{ 0x4b8e79f4, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xead351f2, "debugfs_create_dir" },
	{ 0x61f4ce3d, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x56f33833, "ccw_driver_unregister" },
	{ 0x87f4c780, "skb_clone_tx_timestamp" },
	{ 0xd8eb7a69, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xad823a6b, "ethtool_op_get_ts_info" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa12dc98a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "3B7DDCE882ADA72FA06FE30");
MODULE_INFO(rhelversion, "10.0");
