#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x1e33cff5, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xe539d1b5, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0xaf3bfc37, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x76bd5c99, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x0f1ba197, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xb25fc0e3, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x931a78ab, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x6b73c6e5, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xff12aac8, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x2b77246b, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x54aa16e1, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x1ed4275c, "");
SYMBOL_CRC(key_type_rxrpc, 0xf075563f, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x7978d442, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xed799410, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xbfd5542d, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x4a61cbe0, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x67eb9700, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0xa03ebce8, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x9222b90f, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xc85d8629, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x72590719, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x422cc930, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x83574830, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35669a56, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe5c4b565, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x362511ed, "key_alloc" },
	{ 0xee2f3f17, "bpf_trace_run4" },
	{ 0x4689ea79, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x9e7502c1, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xcda6c38c, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x790ba525, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x9a51862, "udp_sock_create4" },
	{ 0x48652b5, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xd4afe5c0, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x876714ed, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xeef757c3, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x1ae258b4, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0x5dfc563f, "udpv6_sendmsg" },
	{ 0xe6703878, "unregister_key_type" },
	{ 0x9add6816, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xfb5f783, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b78b97, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb5e6e967, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xf1a0b25b, "crypto_skcipher_setkey" },
	{ 0x1906cdb2, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7b27e64f, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xc843ddcc, "register_key_type" },
	{ 0x33be76d8, "proc_create_net_data" },
	{ 0xefc31cbb, "put_cmsg" },
	{ 0xc8eb51b6, "wake_up_process" },
	{ 0x79388ce0, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x5fd4c22c, "register_net_sysctl_sz" },
	{ 0xafff8e25, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xd96da0b0, "proto_unregister" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb6d0cdf8, "ipv6_icmp_error" },
	{ 0xa9bb0db2, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xd1cfb69e, "crypto_skcipher_decrypt" },
	{ 0x5bd47748, "make_kuid" },
	{ 0xe8c54eaa, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x5b193b2b, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x3a9e9c43, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x588e14b, "__sock_recv_timestamp" },
	{ 0x4ae69a2a, "key_put" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4f0845fd, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x1440a9a, "init_net" },
	{ 0x4ef671ba, "skb_pull" },
	{ 0x44966029, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0x71510dd8, "sock_enable_timestamps" },
	{ 0xe3e4d05, "ip_sock_set_mtu_discover" },
	{ 0x9261f28a, "sk_skb_reason_drop" },
	{ 0x81b433f2, "down" },
	{ 0x22a73d2a, "bpf_trace_run5" },
	{ 0x100de039, "sk_free" },
	{ 0x961b4cbf, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2eea6a4c, "kernel_sock_shutdown" },
	{ 0xa378ec9e, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe55a31d5, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x7586e043, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5532e557, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x94c70f3d, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c16f774, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3ade9e5, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb5bf58b, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb4eec74c, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc06a5fec, "sk_alloc" },
	{ 0x3c34896c, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xf25ffbd2, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xabb14abd, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x585b2535, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd6c08159, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xac9e928c, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x5a451163, "crypto_alloc_sync_skcipher" },
	{ 0x7ea81383, "__kmem_cache_create_args" },
	{ 0x7723f204, "setup_udp_tunnel_sock" },
	{ 0xd3b5e842, "proc_remove" },
	{ 0x9e569f63, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x6b0c45e, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x9ba5a43f, "bpf_trace_run3" },
	{ 0x73e1c4f1, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7ce37d68, "trace_event_buffer_reserve" },
	{ 0x3a12d99f, "keyring_search" },
	{ 0xfe62346f, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3d3f4b62, "request_key_tag" },
	{ 0xc3df6a5, "generic_key_instantiate" },
	{ 0x2ae957f8, "seq_write" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x20c26872, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9321992d, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd1550e21, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0x5bd1e3b2, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xdd6698a3, "skb_clone" },
	{ 0x80ed2980, "dst_release" },
	{ 0x669fe888, "_copy_from_iter" },
	{ 0x695e0227, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x3d0cb37c, "sock_no_ioctl" },
	{ 0xf1e9694a, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xf37cf1eb, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x34468d31, "bpf_trace_run7" },
	{ 0x6be2edae, "ip_icmp_error" },
	{ 0x2c41bc32, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x12d60c71, "kernel_sendmsg" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x73e02109, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xe7b8e887, "register_pernet_device" },
	{ 0x6a5df9d3, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc37ce453, "sock_init_data" },
	{ 0xbc74c3e0, "kmalloc_caches" },
	{ 0xa12dc98a, "kmem_cache_destroy" },
	{ 0x8e230ac6, "release_sock" },
	{ 0xd8eca170, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa27cb80a, "proc_create_net_single_write" },
	{ 0x7360d488, "crypto_alloc_skcipher" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "E00660831DE54C28B9AECD8");
MODULE_INFO(rhelversion, "10.0");
